## org.hibernate.bytecode
Interface ReflectionOptimizer

All Known Implementing Classes:
  ReflectionOptimizerImpl, ReflectionOptimizerImpl

    public interface ReflectionOptimizer

Represents reflection optimization for a particular class.

Author:
  Steve Ebersole

Nested Class Summary
`static interface` `ReflectionOptimizer.AccessOptimizer` Represents optimized entity property access.
`static interface` `ReflectionOptimizer.InstantiationOptimizer` Represents optimized entity instantiation.

Method Summary
`ReflectionOptimizer.AccessOptimizer` `getAccessOptimizer()`
`ReflectionOptimizer.InstantiationOptimizer` `getInstantiationOptimizer()`

Method Detail

### getInstantiationOptimizer

    ReflectionOptimizer.InstantiationOptimizer getInstantiationOptimizer()

### getAccessOptimizer

    ReflectionOptimizer.AccessOptimizer getAccessOptimizer()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.